@import "../../../../styles/variables";

.NodePropAddItem {
  display: flex;
  align-items: flex-end;

  &-input {
    flex: 1;
    display: flex;
    align-items: flex-end;
    div {
      margin-right: 0.5rem;
    }
    .InputText {
      flex: 2;
      min-width: 4rem;
    }
    .InputNumber {
      min-width: 3rem;
      flex: 1;
    }
  }

  .InputSelect {
    width: 5rem;
    &-label {
      padding-bottom: 2px;
      font-size: 0.9rem;
      //padding: 0.5rem 0rem;
      letter-spacing: 1px;
    }
    &-select {
      appearance: none;
      background-image: url("../../../../styles/icons/baseline-keyboard_arrow_down-24px.svg");
      background-repeat: no-repeat;
      background-position: right center;
      padding: 0.25rem;
    }
    // &-select:focus:active {
    //   background-image: url("../../../../styles/icons/baseline-keyboard_arrow_up-24px.svg");
    // }
  }

  .InputText,
  .InputNumber {
    .input-info {
      padding: 0rem;
    }
  }

  .InputCustomCheckbox {
    padding-bottom: 4px;
    &-label {
      letter-spacing: 1px;
      font-size: 0.9rem;
      padding: 4px 0;
      cursor: pointer;
    }
    &-check {
      //padding: 0 0.5rem 0.4rem;
      font-size: 1rem;
      line-height: 1.5rem;
    }
  }

  .InputCustomCheckbox:focus {
    border-radius: 4px;
    outline: none;
    background-color: lighten($grey-color, 10%);
  }

  &-number,
  .InputCustomCheckbox {
    max-width: 5rem;
  }

  &-nav {
    display: flex;
    //margin-top: 2rem;
    justify-content: flex-end;
  }
}
